#
# spec file for package gedit
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gedit
Version:        3.5.2
Release:        0
Summary:        Small and lightweight UTF-8 text editor
License:        GPL-2.0+
Group:          Productivity/Text/Editors
Url:            http://www.gnome.org
Source:         http://download.gnome.org/sources/gedit/3.5/%{name}-%{version}.tar.xz
# PATCH-FIX-OPENSUSE gedit-desktop.patch -- adds more MIME types and change icon
Patch0:         gedit-desktop.patch
BuildRequires:  enchant-devel
BuildRequires:  fdupes
BuildRequires:  gettext
BuildRequires:  gtk-doc
BuildRequires:  intltool
BuildRequires:  iso-codes-devel
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.3.15
BuildRequires:  pkgconfig(gtksourceview-3.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(libpeas-gtk-1.0) >= 1.1.0
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.5.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 3.0.0
BuildRequires:  pkgconfig(sm) >= 1.0.0
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(zeitgeist-1.0) >= 0.3.2
Requires:       python-gobject
Recommends:     %{name}-lang
Recommends:     iso-codes
Provides:       gedit2 = %{version}
Obsoletes:      gedit2 < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%glib2_gsettings_schema_requires

%description
Gedit is a small and lightweight UTF-8 text editor for the GNOME
environment.

%package plugin-zeitgeist
Summary:        Zeitgeist dataprovider for gedit
Group:          Productivity/Text/Editors
Requires:       %{name}
Supplements:    packageand(%{name}:zeitgeist)

%description plugin-zeitgeist
The zeitgeist plugin for gedit provides a zeitgeist dataprovider that
logs access and leave event for documents used with gedit.

%package devel
Summary:        Small and lightweight UTF-8 text editor
Group:          Productivity/Text/Editors
Requires:       %{name} = %{version}
Requires:       gtksourceview-devel
Provides:       gedit2-devel = %{version}
Obsoletes:      gedit2-devel < %{version}
Provides:       %{name}-doc = %{version}
Obsoletes:      %{name}-doc < %{version}

%description devel
Gedit is a small and lightweight UTF-8 text editor for the GNOME
environment.

%lang_package
%prep
%setup -q
translation-update-upstream
%patch0 -p0

%build
%configure \
    --disable-scrollkeeper \
    --enable-python
make %{?_smp_mflags} V=1

%install
%make_install
find %{buildroot} -type f -name '*.la' -delete -print
%suse_update_desktop_file -N gedit -G "Text Editor" gedit TextEditor
%find_lang %{name} %{?no_lang_C}
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
%desktop_database_post
%glib2_gsettings_schema_post

%postun
/sbin/ldconfig
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-, root, root)
%doc AUTHORS BUGS ChangeLog COPYING MAINTAINERS NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/gedit
%{_bindir}/gnome-text-editor
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.gnome.gedit.service
%{_datadir}/GConf/gsettings/gedit.convert
%{_datadir}/gedit/
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.externaltools.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.pythonconsole.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gedit.plugins.time.gschema.xml
%dir %{_libdir}/gedit/
%{_libdir}/gedit/libgedit-private.so
%{_libdir}/gedit/girepository-1.0/
%dir %{_libdir}/gedit/plugins/
# Explicitly list plugins so we know when we miss one
%{_libdir}/gedit/plugins/changecase.plugin
%{_libdir}/gedit/plugins/libchangecase.so
%{_libdir}/gedit/plugins/docinfo.plugin
%{_libdir}/gedit/plugins/libdocinfo.so
%{_libdir}/gedit/plugins/externaltools/
%{_libdir}/gedit/plugins/externaltools.plugin
%{_libdir}/gedit/plugins/filebrowser.plugin
%{_libdir}/gedit/plugins/libfilebrowser.so
%{_libdir}/gedit/plugins/modelines.plugin
%{_libdir}/gedit/plugins/libmodelines.so
%{_libdir}/gedit/plugins/pythonconsole/
%{_libdir}/gedit/plugins/pythonconsole.plugin
%{_libdir}/gedit/plugins/quickopen/
%{_libdir}/gedit/plugins/quickopen.plugin
%{_libdir}/gedit/plugins/snippets/
%{_libdir}/gedit/plugins/snippets.plugin
%{_libdir}/gedit/plugins/sort.plugin
%{_libdir}/gedit/plugins/libsort.so
%{_libdir}/gedit/plugins/spell.plugin
%{_libdir}/gedit/plugins/libspell.so
%{_libdir}/gedit/plugins/time.plugin
%{_libdir}/gedit/plugins/libtime.so
%if "%{_libdir}" != "%{_libexecdir}"
%dir %{_libexecdir}/gedit
%endif
%{_libexecdir}/gedit/gedit-bugreport.sh
%{py_sitedir}/gi/overrides/Gedit.py*
%doc %{_mandir}/man1/gedit*

%files lang -f %{name}.lang

%files plugin-zeitgeist
%defattr(-, root, root)
%{_libdir}/gedit/plugins/zeitgeist.plugin
%{_libdir}/gedit/plugins/libzeitgeistplugin.so

%files devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/gedit/
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc

%changelog
